Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Class SessionIDMessage

    java.lang.Object
      org.apache.catalina.ha.ClusterMessageBase
          org.apache.catalina.ha.session.SessionIDMessage

All Implemented Interfaces:
  Serializable, ClusterMessage

    public class SessionIDMessage

extends ClusterMessageBase

Session id change cluster message

Version:
  $Id: SessionIDMessage.java 1036882 2010-11-19 15:00:32Z markt $
Author:
  Peter Rossbach
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.ha.ClusterMessageBase
`address`

Constructor Summary
`SessionIDMessage()`

Method Summary
`String` | `getBackupSessionID()`
`String` | `getContextName()`
`String` | `getHost()`
`int` | `getMessageNumber()`
`String` | `getOrignalSessionID()`
`String` | `getUniqueId()`
`void` | `setBackupSessionID(String backupSessionID)`
`void` | `setContextName(String contextName)`
`void` | `setHost(String host)`
`void` | `setMessageNumber(int messageNumber)`
`void` | `setOrignalSessionID(String orignalSessionID)`
`String` | `toString()`

Methods inherited from class org.apache.catalina.ha.ClusterMessageBase
`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionIDMessage

    public SessionIDMessage()

Method Detail

### getUniqueId

    public String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Overrides:
    `getUniqueId` in class `ClusterMessageBase`

### getHost

    public String getHost()

  Returns:
    Returns the host.

### setHost

    public void setHost(String host)

  Parameters:
    `host` - The host to set.

### getContextName

    public String getContextName()

  Returns:
    Returns the context name.

### setContextName

    public void setContextName(String contextName)

  Parameters:
    `contextName` - The context name to set.

### getMessageNumber

    public int getMessageNumber()

  Returns:
    Returns the messageNumber.

### setMessageNumber

    public void setMessageNumber(int messageNumber)

  Parameters:
    `messageNumber` - The messageNumber to set.

### getBackupSessionID

    public String getBackupSessionID()

  Returns:
    Returns the backupSessionID.

### setBackupSessionID

    public void setBackupSessionID(String backupSessionID)

  Parameters:
    `backupSessionID` - The backupSessionID to set.

### getOrignalSessionID

    public String getOrignalSessionID()

  Returns:
    Returns the orignalSessionID.

### setOrignalSessionID

    public void setOrignalSessionID(String orignalSessionID)

  Parameters:
    `orignalSessionID` - The orignalSessionID to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.